Name:		gpredict
Version:	2.2.1
Release:	%mkrel 4
Summary:	Fast and accurate real-time satellite tracking
Group:		Sciences/Geosciences
License:	GPLv2+
URL:		http://gpredict.oz9aec.net
Source0:	https://github.com/csete/gpredict/archive/v%{version}/%{name}-%{version}.tar.gz
#Patch0:		gpredict-1.3-fix-desktop-file.patch
Patch0:         build_fix.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(libcurl)

%description
Gpredict includes the following features:
  * Tracking an infinite number of satellites only limited by the
    physical memory and processing power of the computer.
  * Display the tracking data in lists, maps, polar plots and any
    combination of these.
  * You can have many modules open at the same either in a
    notebook or in their own windows. The module can also run in
    full-screen mode.
  * You can use many ground stations. Ground station coordinates
    can either be entered manually or you can get some appriximate values
    from a list with more than 2000 predefined locations worldwide.
  * Predict upcoming passes for satellites, including passes where a
    satellite may be visible and communication windows
  * Very detailed information about both the real time data and the
    predicted passes.
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control.
  * Doppler tuning of radios via Hamlib rigctld.
  * Antenna rotator control via Hamlib rotctld.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_mandir}/man1/%{name}.*


%changelog
* Sun Jun 28 2020 joequant <joequant> 2.2.1-4.mga8
+ Revision: 1599894
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.2.1-3.mga8
+ Revision: 1512695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1298049
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 2.2.1-1.mga7
+ Revision: 1213310
- BR goocanvas-2.0
- Update to version 2.2.1

* Fri Feb 05 2016 umeabot <umeabot> 1.3-8.mga6
+ Revision: 939790
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 748835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 679916
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 505229
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 352532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 wally <wally> 1.3-3.mga3
+ Revision: 287043
- add a patch to fix .desktop file

* Sat Aug 18 2012 wally <wally> 1.3-2.mga3
+ Revision: 281950
- build without code coverage reporting

* Fri Aug 17 2012 wally <wally> 1.3-1.mga3
+ Revision: 281894
- clean .spec
- import gpredict from Mdv

